Subject: Re: Clarification in changing the router id dynamically!!

From: "Jeyanath Minto J - CTD, Chennai." <[email-masked]>
Date: Fri, 4 Jul 2003 11:34:03 +0530

hi Kamatchi,
        old neighbour down event trigger the new lsa origination. ofcourse,
its very late origination.
u can detect it earlier and originate as soon as possible .This is
implementation dependent.

Cheers
Minto Mascarenhas

-----Original Message-----
From: kamatchi soundaram [mailto:[email-masked]]
Sent: Friday, July 04, 2003 1:14 AM
To: [email-masked]
Subject: Clarification in changing the router id dynamically!!

Hi,

  If the router id of the router R1 is changed on the fly (dynamically),
what factor triggers the adjacent router R2 connected to R1 via point to
point link, to generate the new Router LSA???

 From the RFC i could infer that R1 will flush all his self originated lsas
when it's router lsa has been changed.
  But i couldn't find, how the R2 triggered to generate the new router lsa
with the changed router id as is neighbor id in its router lsa??

Thanks in advance,
Kamatchi.

---

From: "Naidu, Venkata" <[email-masked]>
Date: Mon, 7 Jul 2003 10:50:56 -0400

-> This case isn't explicitly handled by RFC 2328 and there is
-> some variance
-> between implementations. At a minimum, the DR must recognize
-> the change
-> in router ID and originate a new network LSA. I found that
-> one popular
-> implementation required the router with the router ID change
-> to bring its
-> adjacencies down (by sending a hello w/o any neighbor IDs)
-> in order to interoperate.

  RFC2328 recommends this approach. Page 47 reads:
  . . .
                                                          If a
        router's OSPF Router ID is changed, the router's OSPF software
        should be restarted before the new Router ID takes effect.
  . . .

  Restarting OSPF software is nothing but bringing up adjacencies
  afresh.

Venkata.